Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclAsyncFile Class Reference

`#include <oscl_file_async_read.h>`

Inheritance diagram for OsclAsyncFile:

## Public Methods
| ~OsclAsyncFile ()
int32 | Open (const oscl_wchar *filename, uint32 mode, const OsclNativeFileParams &params, Oscl_FileServer &fileserv)
int32 | Open (const char *filename, uint32 mode, const OsclNativeFileParams &params, Oscl_FileServer &fileserv)
int32 | Seek (TOsclFileOffset offset, Oscl_File::seek_type origin)
TOsclFileOffset | Tell ()
uint32 | Read (OsclAny *aBuffer1, uint32 aDataSize, uint32 aNumElements)
int32 | EndOfFile ()
TOsclFileOffset | Size ()
int32 | Close ()
uint32 | Write (const OsclAny *aBuffer1, uint32 aDataSize, uint32 aNumElements)
uint32 | Flush ()
## Static Public Methods
OsclAsyncFile * | NewL (OsclNativeFile &aAsyncFile, int32 aCacheSize, PVLogger *)
void | Delete (OsclAsyncFile *)
## Data Fields
uint32 | iNumOfRun
uint32 | iNumOfRunErr

## Detailed Description

OsclAsyncFile

## Constructor & Destructor Documentation

OsclAsyncFile::~OsclAsyncFile | ( |  | ) |

| Destructor.

## Member Function Documentation

int32 OsclAsyncFile::Close | ( |  | ) |

void OsclAsyncFile::Delete | ( | OsclAsyncFile * |  | ) | `[static]`

int32 OsclAsyncFile::EndOfFile | ( |  | ) |

uint32 OsclAsyncFile::Flush | ( |  | ) | `[inline]`

OsclAsyncFile* OsclAsyncFile::NewL | ( | OsclNativeFile & | aAsyncFile,
|  | int32 | aCacheSize,
|  | PVLogger * |
| ) | `[static]`

  | Two-phased constructor. Parameters:
  aAsyncFile: | open handle for async file read. Note: it is the caller's job to open/close this file handle.
  aSyncFile: | duplicate open handle for sync file read. Note: it is the caller's job to open this file handle, but this class will close the handle.
  aCacheSize: | size of one of the individual cache buffers. The total cached data size will be larger, since multiple buffers are used.
  aStartAsyncRead: | When true, async file read will start immediately. When false, read will not begin until StartAsyncRead is called.

int32 OsclAsyncFile::Open | ( | const char * | filename,
|  | uint32 | mode,
|  | const OsclNativeFileParams & | params,
|  | Oscl_FileServer & | fileserv
| ) |

int32 OsclAsyncFile::Open | ( | const oscl_wchar * | filename,
|  | uint32 | mode,
|  | const OsclNativeFileParams & | params,
|  | Oscl_FileServer & | fileserv
| ) |

uint32 OsclAsyncFile::Read | ( | OsclAny * | aBuffer1,
|  | uint32 | aDataSize,
|  | uint32 | aNumElements
| ) |

int32 OsclAsyncFile::Seek | ( | TOsclFileOffset | offset,
|  | Oscl_File::seek_type | origin
| ) |

TOsclFileOffset OsclAsyncFile::Size | ( |  | ) |

TOsclFileOffset OsclAsyncFile::Tell | ( |  | ) |

uint32 OsclAsyncFile::Write | ( | const OsclAny * | aBuffer1,
|  | uint32 | aDataSize,
|  | uint32 | aNumElements
| ) | `[inline]`

## Field Documentation

uint32 OsclAsyncFile::iNumOfRun

uint32 OsclAsyncFile::iNumOfRunErr

The documentation for this class was generated from the following file:

- oscl_file_async_read.h